Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.valueobject
Class GisFeatureDistance

    java.lang.Object
      com.gisgraphy.domain.valueobject.GisFeatureDistance

    public class GisFeatureDistance

extends java.lang.Object

Value object that represents a gisFeature with a distance The JAXB node name is `Constants.GISFEATUREDISTANCE_JAXB_NAME`

Author:
  David Masclet

Nested Class Summary
`static class` | `GisFeatureDistance.GisFeatureDistanceBuilder`

Field Summary
`protected static org.slf4j.Logger` | `logger`

Constructor Summary
`GisFeatureDistance()` Default Constructor
`GisFeatureDistance(GisFeature gisFeature, java.lang.Double distance)`

Method Summary
`java.lang.String` | `getAdm1Code()`
`java.lang.String` | `getAdm1Name()`
`java.lang.String` | `getAdm2Code()`
`java.lang.String` | `getAdm2Name()`
`java.lang.String` | `getAdm3Code()`
`java.lang.String` | `getAdm3Name()`
`java.lang.String` | `getAdm4Code()`
`java.lang.String` | `getAdm4Name()`
`java.lang.String` | `getAsciiName()`
`java.lang.String` | `getCountry_flag_url()`
`java.lang.String` | `getCountryCode()`
`java.lang.Double` | `getDistance()`
`java.lang.Integer` | `getElevation()`
`java.lang.String` | `getFeatureClass()`
`java.lang.String` | `getFeatureCode()`
`java.lang.Long` | `getFeatureId()`
`GisFeature` | `getGisFeature()`
`java.lang.String` | `getGoogle_map_url()`
`java.lang.Integer` | `getGtopo30()`
`java.lang.Double` | `getLat()`
`java.lang.Double` | `getLng()`
`com.vividsolutions.jts.geom.Point` | `getLocation()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPlaceType()`
`java.lang.Integer` | `getPopulation()`
`java.lang.String` | `getTimezone()`
`java.lang.String` | `getYahoo_map_url()`
`java.lang.Integer` | `getZipCode()`
`void` | `updateFields()` update the calculated fields (GoogleMapUrl,YahooMapURL,CountryFlag,...)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final org.slf4j.Logger logger

Constructor Detail

### GisFeatureDistance

    public GisFeatureDistance()

  Default Constructor

### GisFeatureDistance

    public GisFeatureDistance(GisFeature gisFeature,
                              java.lang.Double distance)

Parameters:
  `gisFeature` - The gisFeature
  `distance` - The distance

Method Detail

### updateFields

    public void updateFields()

  update the calculated fields (GoogleMapUrl,YahooMapURL,CountryFlag,...)

### getDistance

    public java.lang.Double getDistance()

  Returns:
    The distance

### getGisFeature

    public GisFeature getGisFeature()

  Returns:
    The gisfeature

### getName

    public java.lang.String getName()

  Returns:
    the name

### getLocation

    public com.vividsolutions.jts.geom.Point getLocation()

  Returns:
    the location

### getAdm1Code

    public java.lang.String getAdm1Code()

  Returns:
    the adm1Code

### getAdm2Code

    public java.lang.String getAdm2Code()

  Returns:
    the adm2Code

### getAdm3Code

    public java.lang.String getAdm3Code()

  Returns:
    the adm3Code

### getAdm4Code

    public java.lang.String getAdm4Code()

  Returns:
    the adm4Code

### getAdm1Name

    public java.lang.String getAdm1Name()

  Returns:
    the adm1Name

### getAdm2Name

    public java.lang.String getAdm2Name()

  Returns:
    the adm2Name

### getAdm3Name

    public java.lang.String getAdm3Name()

  Returns:
    the adm3Name

### getAdm4Name

    public java.lang.String getAdm4Name()

  Returns:
    the adm4Name

### getAsciiName

    public java.lang.String getAsciiName()

  Returns:
    the asciiName

### getCountryCode

    public java.lang.String getCountryCode()

  Returns:
    the countryCode

### getElevation

    public java.lang.Integer getElevation()

  Returns:
    the elevation

### getFeatureClass

    public java.lang.String getFeatureClass()

  Returns:
    the featureClass

### getFeatureCode

    public java.lang.String getFeatureCode()

  Returns:
    the featureCode

### getFeatureId

    public java.lang.Long getFeatureId()

  Returns:
    the featureId

### getGtopo30

    public java.lang.Integer getGtopo30()

  Returns:
    the gtopo30

### getPopulation

    public java.lang.Integer getPopulation()

  Returns:
    the population

### getTimezone

    public java.lang.String getTimezone()

  Returns:
    the timezone

### getLat

    public java.lang.Double getLat()

  Returns:
    the lat

### getLng

    public java.lang.Double getLng()

  Returns:
    the lng

### getZipCode

    public java.lang.Integer getZipCode()

  Returns:
    the zipCode

### getPlaceType

    public java.lang.String getPlaceType()

  Returns:
    the placeType

### getGoogle_map_url

    public java.lang.String getGoogle_map_url()

  Returns:
    the google_map_url

### getYahoo_map_url

    public java.lang.String getYahoo_map_url()

  Returns:
    the yahoo_map_url

### getCountry_flag_url

    public java.lang.String getCountry_flag_url()

  Returns:
    the country_flag_url

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.